Skip to main content
POST
CLI

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ToS acceptance ID

Body

application/json
infiniteAgreementsAccepted
boolean
required

Whether the Infinite agreements were accepted

Example:

true

ereborAgreementsAccepted
boolean

Whether the Erebor agreements were accepted

Example:

true

oneMoneyAgreementsAccepted
boolean

Whether the 1Money agreements were accepted

Example:

true

dueAgreementsAccepted
boolean

Whether the Due agreements were accepted

Example:

true

customerId
string

Customer ID (if known)

Example:

"cus_abc123"

Response

200 - application/json

ToS accepted successfully

success
boolean
required

Whether the acceptance was successful

Example:

true

message
string
required

Message describing the result

Example:

"Terms of Service accepted successfully"

acceptanceId
string

ToS acceptance record ID

Example:

"tos_abc123"